@import '../../../../../scss/variables.scss';
@import '../../../../../../node_modules/bulma/sass/utilities/all';

#block-map-partner {
  background-color: $brand-color;
  width: 100%;
  padding: 5rem;

  .two-columns>div {
    width: 50%;
  }

  .partner-list {
    margin: 2rem;
    width: 100%;

    & h3,
    p,
    strong,
    a {
      color: $white;
    }

    .border-left {
      border-left: #D83436 4px solid;
    }

    .border-left,
    .list {
      padding-left: 2em;
    }

    p {
      font-size: $size-5;
    }

    .list {
      padding: 1rem 0.75rem;

      a:hover{
        color: #D83436;
        font-weight: bold;
        font-size: $size-4;
        text-decoration: none;
      }

      .list-item {
        cursor: pointer;
        display: flex;
        align-items: center;
        line-height: 1.75rem;
        position: relative;
        min-width: 16rem;
        transition: font-size cubic-bezier(.22, .61, .36, 1) .2s;

        &.highlight, :hover {
          color: #D83436;
          font-weight: bold;
          font-size: $size-4;
        }
      }
    }
  }

  .glm-map {
    margin: 2rem;
    text-align: center;

    .map {
      margin: 0 auto;
      display: block;
      position: relative;
      padding: 0px;
      width: 249px;
      height: 369px;

      path {
        fill: #ffffff;
        stroke-width: 0.3%;
        stroke: #D83436;

        &.partner {
          fill: #D83436;
          stroke: #ffffff;

          &:hover, &.highlight {
            fill: $brand-color;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 1100px) {
  .two-columns {
    flex-direction: column;
  }
}